<?php
/************************************************************
* LUCiD LEO Translation V2.0 for Joomla 3.x / 4.x
* @license GNU GPL (http://www.gnu.org/licenses/gpl.txt)
* @package LUCiD LEO Translation
* @author LUCiD iMAGiNATiON 
* @home https://www.therealsystemerror.de

CHANGELOG:
V2.0 (01.04.2019)
	- changed update server
	- adjusted language constants
	- ready for and tested with Joomla! 4.0.0 alpha8

V1.9 (12.05.2017)
	- ability to use forced hhtps added
	- some css is now in extern default.css file

V1.8 (16.07.2017)
	- Layout fix
	- Update server added

V1.7  (09-08-2013)
	- Two new languages added - portuguese and polish.
	- same codebase for J!2.5 and J!3.x
	
V1.6.1 (08.08.2013)
	- Joomla 3.x Bugfix. Missing directory separator added

V1.6 (07.04.2013)
	- ported to joomla 3.0
	- now separate newline parameter for the text box and the submit button

V1.5 (12.02.2012)
    - tested on Joomla 1.6.x / 1.7.x / 2.5.x
	- missing mudule class suffix added
	
V1.4 (30.06.2011)
	- ported to joomla 1.6
	- module width now can be given in percent and pixel
************************************************************/

/** ensure this file is being included by a parent file **/
defined('_JEXEC') or die('Direct Access to this location is not allowed!');

class modLEOtransHelper
{
    /**
     * @param array $params An object containing the module parameters
     * @access public
     * @return Array $leoParams
     */    
    public function getLEOtrans( $params )
    {

		// get module parameters and test for correct settings
		$leoParams = array();
		$leoParams['url']    = JURI::base().'modules/mod_lucid_leo_trans/';
		$show = array();
		$show['ende']        		      = trim($params->get('show_ende'));
		$show['frde']        		      = trim($params->get('show_frde'));
		$show['esde']        		      = trim($params->get('show_esde'));
		$show['itde']        		      = trim($params->get('show_itde'));
		$show['chde']			      = trim($params->get('show_chde'));
		$show['rude']        		      = trim($params->get('show_rude'));
		$show['ptde']        		      = trim($params->get('show_ptde'));
		$show['plde']        		      = trim($params->get('show_plde'));
		$leoParams['sfx']    		      = trim($params->get('moduleclass_sfx'));
		$leoParams['width']  		      = trim($params->get('textwidth'));
		$leoParams['button'] 		      = trim($params->get('button_text'));
		$leoParams['target'] 		      = trim($params->get('target'));
		$leoParams['lang']   		      = trim($params->get('def_language'));
		$leoParams['link']   		      = trim($params->get('link'));
		$leoParams['break_text']	      = trim($params->get('break_text'));
		$leoParams['align_text']	      = trim($params->get('align_text'));
		$leoParams['break_button']	      = trim($params->get('break_button'));
		$leoParams['modulewidth']	      = trim($params->get('modulewidth'));
		$leoParams['modulerightmargin']	      = trim($params->get('modulerightmargin'));
		$leoParams['moduleleftmargin']	      = trim($params->get('moduleleftmargin'));
		$leoParams['flagswidth']	      = trim($params->get('flagswidth'));
		$leoParams['rightmargin']	      = trim($params->get('rightmargin'));
		$leoParams['leftmargin']	      = trim($params->get('leftmargin'));

		// check if one language is selected to yes. if not set to default German-English
		if($show['ende']==0 && $show['frde']==0 && $show['esde']==0 && $show['itde']==0 && $show['chde']==0 && $show['rude']==0 && $show['ptde']==0 && $show['plde']==0)
		{
			$show['ende']=1;
			$leoParams['lang']='ende';
		}
		$leoParams['show']   = $show;	
		
		// check if selected default language really displayed. 
		// if not set default language to the first displayed language.
		if($show[$leoParams['lang']]==0)
		{
			$key = array_search(1, $show);
			$leoParams['lang']=$key;
		}
		// return all parameters
        return $leoParams;
    }
	
    /**
     * @param array $leoParams An object containing the module parameters
     * @access public
     * @return Object of the Joomla radiolist html
     */    

	public function getRadioList($leoParams)
	{
		// prepare radiolist
		$radioList = array();
		$show = array();
		$show = $leoParams['show'];
		if($show['ende']==1)
		{
			$radioList[] = JHTML::_( 'select.option', 'ende', '<img border="0" src="'.$leoParams['url'].'tmpl/images/ende.gif'.'" alt="en" title="Translation: German &lt;&gt; English" />' );
		}
		if($show['frde']==1)
		{
			$radioList[] = JHTML::_( 'select.option', 'frde', '<img border="0" src="'.$leoParams['url'].'tmpl/images/frde.gif'.'" alt="fr"  title="Translation: German &lt;&gt; French"/>' );
		}
		if($show['esde']==1)
		{
			$radioList[] = JHTML::_( 'select.option', 'esde', '<img border="0" src="'.$leoParams['url'].'tmpl/images/esde.gif'.'" alt="es"  title="Translation: German &lt;&gt; Spain"/>' );
		}
		if($show['itde']==1)
		{
			$radioList[] = JHTML::_( 'select.option', 'itde', '<img border="0" src="'.$leoParams['url'].'tmpl/images/itde.gif'.'" alt="it"  title="Translation: German &lt;&gt; Italian"/>' );
		}
		if($show['chde']==1)
		{
			$radioList[] = JHTML::_( 'select.option', 'chde', '<img border="0" src="'.$leoParams['url'].'tmpl/images/chde.gif'.'" alt="ch"  title="Translation: German &lt;&gt; Chinese"/>' );
		}
		if($show['rude']==1)
		{
			$radioList[] = JHTML::_( 'select.option', 'rude', '<img border="0" src="'.$leoParams['url'].'tmpl/images/rude.gif'.'" alt="ru"  title="Translation: German &lt;&gt; Russian"/>' );
		}
		if($show['ptde']==1)
		{
			$radioList[] = JHTML::_( 'select.option', 'ptde', '<img border="0" src="'.$leoParams['url'].'tmpl/images/ptde.gif'.'" alt="pt"  title="Translation: German &lt;&gt; Portuguese"/>' );
		}
		if($show['plde']==1)
		{
			$radioList[] = JHTML::_( 'select.option', 'plde', '<img border="0" src="'.$leoParams['url'].'tmpl/images/plde.gif'.'" alt="pl"  title="Translation: German &lt;&gt; Polish"/>' );
		}
		// return the radiolist html
		return JHTML::_( 'select.radiolist', $radioList,'lp', 'class="radiobtn" style="border: none;"','value','text',$leoParams['lang']);
	}
    /**
     * @access public
     * @return String of the buttontext in dependence of the selected frontend language
     */
	public function getButtonText()
	{
		// the actual frontend language
		$jLang = JFactory::getLanguage();
		// the language tag
		$langTag = $jLang->getTag();
		// get the instance of the actual language
		$langMeta = JLanguage::getInstance($langTag);
		// load the languagefile of the module 
		// and if successful return the buttontext for the actual language
		if($langMeta->load('mod_lucid_leo_trans'))
		{
			$key = "MOD_LUCID_LEO_TRANS_BUTTONDEF";
			return $langMeta->_($key);
		}
		return "Translate";
	}
}
?>